PDA

View Full Version : Inserting a Block and entering Attribute values on command line



ReachAndre
2007-02-23, 05:49 PM
Hello all,
I am trying to insert a block (which has several attributes) and I would like to enter the attribute values on the command line and not recieve the pop up window (Edit Attributes Manager). Is this possible? attached is the block and a my lisp


;Calc Block
(defun c:cab (/ currlay)
(command "undo" "begin")
(setq currlay (getvar "clayer"))
(command "-layer" "make" "m-quco-chck" "")
(command "-insert" "T:/AEI CAD/Lisp/LISP SUPPORT/ROOM CALCS BLOCK.dwg" "s" 1 pause 0)
(setvar "clayer" currlay)
(command "undo" "end")
(princ))

.T.
2007-02-23, 08:06 PM
Hello all,
I am trying to insert a block (which has several attributes) and I would like to enter the attribute values on the command line and not recieve the pop up window (Edit Attributes Manager). Is this possible? attached is the block and a my lisp


;Calc Block
(defun c:cab (/ currlay)
(command "undo" "begin")
(setq currlay (getvar "clayer"))
(command "-layer" "make" "m-quco-chck" "")
(command "-insert" "T:/AEI CAD/Lisp/LISP SUPPORT/ROOM CALCS BLOCK.dwg" "s" 1 pause 0)
(setvar "clayer" currlay)
(command "undo" "end")
(princ))

Hi Andre,

Have a look at the ATTREQ and ATTDIA system variables and getvar/setvar them appropriately.